##
##  perl-gd.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   versions of individual parts
%define       V_gd             2.05
%define       V_gdtextutil     0.83
%define       V_gdbarcode      1.13
%define       V_gdgraph        1.35
%define       V_gdgraph3d      0.56
%define       V_gdgraphmap     1.05
%define       V_chart          1.0.1
%define       V_chartthreed    0.01
%define       V_chartplot      0.11
%define       V_imagetimeline  0.05

#   package information
Name:         perl-gd
Summary:      Perl Modules for use with GD
URL:          http://www.cpan.org/
Vendor:       Perl Community
Packager:     The OpenPKG Project
Distribution: OpenPKG [BASE]
Group:        Language
License:      GPL/Artistic
Version:      20021125
Release:      20021125

#   list of sources
Source0:      http://www.cpan.org/modules/by-module/GD/GD-%{V_gd}.tar.gz
Source1:      http://www.cpan.org/modules/by-module/GD/GDTextUtil-%{V_gdtextutil}.tar.gz
Source2:      http://www.cpan.org/modules/by-module/GD/GD-Barcode-%{V_gdbarcode}.tar.gz
Source3:      http://www.cpan.org/modules/by-module/GD/GDGraph-%{V_gdgraph}.tar.gz
Source4:      http://www.cpan.org/modules/by-module/GD/GDGraph3d-%{V_gdgraph3d}.tar.gz
Source5:      http://www.cpan.org/modules/by-module/GD/GDGraph-Map-%{V_gdgraphmap}.tgz
Source6:      http://www.cpan.org/modules/by-module/Chart/Chart-%{V_chart}.tar.gz
Source7:      http://www.cpan.org/modules/by-module/Chart/Chart-ThreeD-%{V_chartthreed}.tar.gz
Source8:      http://www.cpan.org/modules/by-module/Chart/Chart-Plot-%{V_chartplot}.tar.gz
Source9:      http://www.cpan.org/modules/by-module/Image/Image-Timeline-%{V_imagetimeline}.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, perl >= 5.8.0, gd >= 2.0.7
PreReq:       OpenPKG, openpkg >= 20020206, perl >= 5.8.0, gd >= 2.0.7
AutoReq:      no
AutoReqProv:  no

%description
    Various modules for using the GD library from within the Perl
    language plus additional functionality for drawing various types of
    charts and graphs.
    - GD (%{V_gd})
    - GD::TextUtil (%{V_gdtextutil})
    - GD::Barcode (%{V_gdbarcode})
    - GD::Graph (%{V_gdgraph})
    - GD::Graph::3d (%{V_gdgraph3d})
    - GD::Graph::Map (%{V_gdgraphmap})
    - Chart (%{V_chart})
    - Chart::ThreeD (%{V_chartthreed})
    - Chart::Plot (%{V_chartplot})
    - Image::Timeline (%{V_imagetimeline})

%prep
    %setup0 -q -c
    %setup1 -q -T -D -a 1
    %setup2 -q -T -D -a 2
    %setup3 -q -T -D -a 3
    %setup4 -q -T -D -a 4
    %setup5 -q -T -D -a 5
    %setup6 -q -T -D -a 6
    %setup7 -q -T -D -a 7
    %setup8 -q -T -D -a 8
    %setup9 -q -T -D -a 9

%build

%install
    #   perform common prolog operations
    %{l_prefix}/bin/perl-openpkg prolog

    #   build and install GD glue module
    ( cd GD-%{V_gd}
      (echo "y"; echo "y") |\
      GD_INC="-I%{l_prefix}/include/freetype2 -I%{l_prefix}/include" \
      GD_LIBS="-L%{l_prefix}/lib -lfreetype" \
      %{l_prefix}/bin/perl-openpkg install
    )

    #   build and install individual modules
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE1}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE2}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE3}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE4}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE5}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE6}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE7}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE8}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE9}

    #   perform common epilog operations
    %{l_prefix}/bin/perl-openpkg epilog

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

